1. Buyer Management
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Fiat Account Request Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
            POST
          • Get Buyer
            GET
          • Update Buyer
            POST
          • Buyer Status Webhook
            POST
        • Create Collection Wallet
          POST
        • Update Collection Wallet
          POST
        • Get Collection Wallet
          GET
        • Get Crypto Collection
          GET
        • Update Co-KYT status
          POST
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Buyer Management

Update Buyer

POST
/v1.0/crm/addressBook/updateBuyer
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
To update buyer wallet related details.

Request

Authorization
Body Params application/json

Example
{
    "buyerId": "string",
    "walletType": 1,
    "platformName": "string",
    "platformUsername": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/crm/addressBook/updateBuyer' \
--header 'Content-Type: application/json' \
--data-raw '{
    "buyerId": "string",
    "walletType": 1,
    "platformName": "string",
    "platformUsername": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "buyerId": "string",
        "type": 1,
        "walletType": 1,
        "platformName": "string",
        "platformUsername": "string",
        "customerDetails": {
            "personalDetails": {
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "identityType": 1,
                "identityNumber": "string",
                "dateOfBirth": "2019-08-24",
                "placeOfBirth": "string",
                "residentialAddress": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postcode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            }
        },
        "clientReference": "string",
        "participantCode": "string",
        "updateAt": 0
    }
}
Modified at 2026-03-23 07:14:34
Previous
Get Buyer
Next
Buyer Status Webhook
Built with